View Issue Details

IDProjectCategoryView StatusLast Update
0006725Talerexchangepublic2021-09-02 18:14
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSAlpineOS Version3.13
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006725: "make" fails -- undefined ULONG_LONG_MAX
DescriptionThis is w/ gcc 10:

$ gcc --version
gcc (Alpine 10.2.1_pre1) 10.2.1 20201203

Log attached.
TagsNo tags attached.

Activities

ttn

2021-01-26 18:14

developer  

.ttn.make.log (6,966 bytes)   
make  all-recursive
make[1]: Entering directory '/home/ttn/build/GNU/T/exchange'
Making all in .
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange'
Making all in contrib
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
Making all in .
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
Making all in src
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/src'
Making all in include
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/include'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/include'
Making all in util
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
  CC       taler-exchange-secmod-eddsa.o
  CC       amount.lo
  CC       auditor_signatures.lo
  CC       config.lo
  CC       crypto.lo
  CC       crypto_helper_denom.lo
crypto_helper_denom.c: In function 'TALER_CRYPTO_helper_denom_sign':
crypto_helper_denom.c:535:19: warning: passing argument 5 of 'sendto' from incompatible pointer type [-Wincompatible-pointer-types]
  535 |                   &dh->sa,
      |                   ^~~~~~~
      |                   |
      |                   struct sockaddr_un *
In file included from /usr/include/netinet/in.h:10,
                 from /usr/include/netdb.h:9,
                 from /usr/local/include/gnunet/platform.h:72,
                 from ../../src/include/platform.h:46,
                 from crypto_helper_denom.c:21:
/usr/include/fortify/sys/socket.h:65:59: note: expected 'const struct sockaddr *' but argument is of type 'struct sockaddr_un *'
   65 |                                    const struct sockaddr *__a, socklen_t __l)
      |                                    ~~~~~~~~~~~~~~~~~~~~~~~^~~
  CC       crypto_helper_esign.lo
crypto_helper_esign.c: In function 'TALER_CRYPTO_helper_esign_sign_':
crypto_helper_esign.c:483:19: warning: passing argument 5 of 'sendto' from incompatible pointer type [-Wincompatible-pointer-types]
  483 |                   &esh->sa,
      |                   ^~~~~~~~
      |                   |
      |                   struct sockaddr_un *
In file included from /usr/include/netinet/in.h:10,
                 from /usr/include/netdb.h:9,
                 from /usr/local/include/gnunet/platform.h:72,
                 from ../../src/include/platform.h:46,
                 from crypto_helper_esign.c:21:
/usr/include/fortify/sys/socket.h:65:59: note: expected 'const struct sockaddr *' but argument is of type 'struct sockaddr_un *'
   65 |                                    const struct sockaddr *__a, socklen_t __l)
      |                                    ~~~~~~~~~~~~~~~~~~~~~~~^~~
  CC       crypto_wire.lo
  CC       getopt.lo
  CC       lang.lo
  CC       mhd.lo
  CC       offline_signatures.lo
  CC       payto.lo
  CC       secmod_signatures.lo
  CC       taler_error_codes.lo
  CC       url.lo
  CC       util.lo
  CC       wallet_signatures.lo
  CC       yna.lo
  CC       os_installation.lo
  CCLD     libtalerutil.la
  CCLD     taler-exchange-secmod-eddsa
  CC       taler-exchange-secmod-rsa.o
  CCLD     taler-exchange-secmod-rsa
rm -f taler-config taler-config.tmp && \
/bin/sed -e 's,%libdir%,/usr/local/lib,'g  taler-config.in >taler-config.tmp && \
chmod a-w+x taler-config.tmp && \
mv taler-config.tmp taler-config
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
Making all in json
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
  CC       i18n.lo
  CC       json.lo
  CC       json_helper.lo
  CC       json_wire.lo
  CCLD     libtalerjson.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/json'
Making all in curl
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/curl'
  CC       curl.lo
  CCLD     libtalercurl.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/curl'
Making all in pq
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/pq'
  CC       pq_query_helper.lo
  CC       pq_result_helper.lo
  CCLD     libtalerpq.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/pq'
Making all in sq
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/sq'
  CC       sq_query_helper.lo
  CC       sq_result_helper.lo
  CCLD     libtalersq.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/sq'
Making all in mhd
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/mhd'
  CC       mhd_config.lo
  CC       mhd_legal.lo
  CC       mhd_parsing.lo
  CC       mhd_responses.lo
  CCLD     libtalermhd.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/mhd'
Making all in bank-lib
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/bank-lib'
  CC       taler-wire-gateway-client.o
  CC       bank_api_admin.lo
  CC       bank_api_common.lo
  CC       bank_api_credit.lo
  CC       bank_api_debit.lo
  CC       bank_api_transfer.lo
  CC       bank_api_parse.lo
  CCLD     libtalerbank.la
  CCLD     taler-wire-gateway-client
  CC       taler-fakebank-run.o
  CC       fakebank.lo
  CCLD     libtalerfakebank.la
  CCLD     taler-fakebank-run
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/bank-lib'
Making all in exchangedb
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
  CC       exchangedb_accounts.lo
  CC       exchangedb_plugin.lo
  CC       exchangedb_transactions.lo
  CCLD     libtalerexchangedb.la
  CC       plugin_exchangedb_postgres.lo
  CCLD     libtaler_plugin_exchangedb_postgres.la
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
Making all in exchange
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchange'
  CC       taler-exchange-aggregator.o
  CCLD     taler-exchange-aggregator
  CC       taler-exchange-closer.o
  CCLD     taler-exchange-closer
  CC       taler-exchange-httpd.o
taler-exchange-httpd.c: In function 'exchange_serve_process_config':
taler-exchange-httpd.c:1070:15: error: 'ULONG_LONG_MAX' undeclared (first use in this function); did you mean 'ULLONG_MAX'?
 1070 |     req_max = ULONG_LONG_MAX;
      |               ^~~~~~~~~~~~~~
      |               ULLONG_MAX
taler-exchange-httpd.c:1070:15: note: each undeclared identifier is reported only once for each function it appears in
make[3]: *** [Makefile:963: taler-exchange-httpd.o] Error 1
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[2]: *** [Makefile:493: all-recursive] Error 1
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/src'
make[1]: *** [Makefile:477: all-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/exchange'
make: *** [Makefile:409: all] Error 2
.ttn.make.log (6,966 bytes)   

Christian Grothoff

2021-01-26 19:25

manager   ~0017398

Fixed in 2b35e379..556a7f36

Christian Grothoff

2021-09-02 18:14

manager   ~0018236

Fix committed to master branch.

Related Changesets

exchange: master 556a7f36

2021-01-26 19:24:40

Christian Grothoff

Details Diff
fix 0006725: use modern name Affected Issues
0006725
mod - src/exchange/taler-exchange-httpd.c Diff File

Issue History

Date Modified Username Field Change
2021-01-26 18:14 ttn New Issue
2021-01-26 18:14 ttn Status new => assigned
2021-01-26 18:14 ttn Assigned To => Christian Grothoff
2021-01-26 18:14 ttn File Added: .ttn.make.log
2021-01-26 19:25 Christian Grothoff Note Added: 0017398
2021-01-26 19:26 Christian Grothoff Status assigned => resolved
2021-01-26 19:26 Christian Grothoff Resolution open => fixed
2021-01-26 19:26 Christian Grothoff Fixed in Version => 0.9
2021-01-26 19:26 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 556a7f36
2021-09-02 18:14 Christian Grothoff Note Added: 0018236